## org.apache.poi.ss.usermodel.charts
Interface ChartLegend

All Superinterfaces:
  ManuallyPositionable

All Known Implementing Classes:
  XSSFChartLegend

    @Beta
    public interface ChartLegend

extends ManuallyPositionable

High level representation of chart legend.

Author:
  Roman Kashitsyn

Method Summary
`LegendPosition` `getPosition()`
`void` `setPosition(LegendPosition position)`

Methods inherited from interface org.apache.poi.ss.usermodel.charts.ManuallyPositionable
`getManualLayout`

Method Detail

### getPosition

    LegendPosition getPosition()

  Returns:
    legend position

### setPosition

    void setPosition(LegendPosition position)

  Parameters:
    `position` - new legend position

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.